%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-logmanager
Version:          2.0.4
Release:          %mkrel 3
Group:            Development/Java
Summary:          JBoss Log Manager
License:          ASL 2.0
URL:              https://github.com/jboss-logging/jboss-logmanager
Source0:          https://github.com/jboss-logging/jboss-logmanager/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.modules:jboss-modules)

%description
This package contains the JBoss Log Manager

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

# Unneeded task
%pom_remove_plugin :maven-source-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.0.4-3.mga8
+ Revision: 1491383
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.0.4-2.mga7
+ Revision: 1263426
- Mageia 7 Mass Rebuild

* Sat May 13 2017 neoclust <neoclust> 2.0.4-1.mga6
+ Revision: 1100841
- Nedw version 2.0.4
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.5.2-6.mga6
+ Revision: 976447
- First rebuild of the java stack
- sync package jboss-logmanager with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 1.5.2-1.mga5
+ Revision: 807677
- Sync with Fedora 21 (update to 1.5.2.Final)

* Wed Oct 15 2014 umeabot <umeabot> 1.5.1-4.mga5
+ Revision: 747405
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.5.1-2.mga4
+ Revision: 541926
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 1.5.1-1.mga4
+ Revision: 496554
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 355073
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 05 2011 dmorgan <dmorgan> 1.2.0-1.mga2
+ Revision: 131925
- Clean spec file
+ gil <gil>
- imported package jboss-logmanager


* Fri Jun 03 2011 Marek Goldmann <mgoldman@redhat.com> 1.2.0-1
- Initial packaging


